aagc.vo

## Class ResponsabileResponse

- java.lang.Object
- - aagc.vo.ResponsabileResponse

-     public class ResponsabileResponse
      extends java.lang.Object

  Classe Java per responsabileResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="responsabileResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="dataInizio" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFine" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceRegionale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nome" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="cognome" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceRegionale`
    `protected java.lang.String` | `cognome`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `nome`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponsabileResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceRegionale()` Recupera il valore della proprietà codiceRegionale.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `void` | `setCodiceRegionale(java.lang.String value)` Imposta il valore della proprietà codiceRegionale.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### dataFine

          protected java.lang.String dataFine

    - #### codiceRegionale

          protected java.lang.String codiceRegionale

    - #### nome

          protected java.lang.String nome

    - #### cognome

          protected java.lang.String cognome

  - ### Constructor Detail

    - #### ResponsabileResponse

          public ResponsabileResponse()

  - ### Method Detail

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceRegionale

          public java.lang.String getCodiceRegionale()

      Recupera il valore della proprietà codiceRegionale.
      Returns:
        possible object is `String`

    - #### setCodiceRegionale

          public void setCodiceRegionale(java.lang.String value)

      Imposta il valore della proprietà codiceRegionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`